#
# spec file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python3-%{**}}
%define skip_python2 1
Name:           python3-tomli
Version:        1.2.3
Release:        150500.1.5
Summary:        A lil' TOML parser
License:        MIT
URL:            https://github.com/hukkin/tomli
# prefer github archive over pypi sdist for pacakged tests
Source:         https://github.com/hukkin/tomli/archive/refs/tags/%{version}.tar.gz#/tomli-%{version}.tar.gz
#Patch0:         reduce-python-req-version.patch
BuildRequires:  python3-flit-core
#BuildRequires:  python3-future_annotations
BuildRequires:  python3-pip
BuildRequires:  python3-pytest
BuildRequires:  python3-dateutil
# Avoid build cycles
# https://flit.readthedocs.io/en/latest/bootstrap.html
#!BuildIgnore:  python3-tomli
#!BuildIgnore:  python36-tomli
#!BuildIgnore:  python38-tomli
#!BuildIgnore:  python39-tomli
#!BuildIgnore:  python310-tomli
#!BuildIgnore:  ca-certificates
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%description
Tomli is a Python library for parsing TOML

%prep
%autosetup -p1 -n tomli-%{version}

%build
# flit_core requires tomli
export PYTHONPATH=$PWD/src
%pyproject_wheel

%install
%pyproject_install
%fdupes %{buildroot}%{python3_sitelib}

%check
%pyunittest

%files
%license LICENSE
%doc README.md
%{python3_sitelib}/tomli
%{python3_sitelib}/tomli-%{version}*-info

%changelog
* Mon Apr 24 2023 dmueller@suse.com
- Rename package to avoid conflicts with the new Python Stack Proposal (jsc#PED-68)
* Fri Jan 27 2023 alarrosa@suse.com
- Update(back) to 1.2.3 (from 2.0.1) since 2.0.1 needs python 3.7
* Fri Feb 25 2022 rpm@fthiessen.de
- Merge base and -test package, there is no extra dependency any
  more, tests just need the python interpreter
* Fri Oct 15 2021 code@bnavigator.de
- Yet another dependency cycle to break: tomli - flit_core - tomli
  https://flit.readthedocs.io/en/latest/bootstrap.html
* Fri Oct 15 2021 dimstar@opensuse.org
- BuildIgnore ca-certificates: python-pip brings it in for regular
  operation, but as we do not ever do https:// connections during a
  build we do not depend on certificates. Allows us to break up a
  build cycle.
* Wed Oct 13 2021 code@bnavigator.de
- Split build and tests in _multibuild in order to avoid depcycle
* Sun Oct  3 2021 code@bnavigator.de
- initial specfile for version 1.2.1
- required by setuptools_scm
